<template>
  <v-app>
    <v-app-bar
        color="teal-darken-4"
        image="https://picsum.photos/1920/1080?random"
      >
        <img src="/favicon.ico" alt="Vue js Logo">
        <v-app-bar-title color="primary" density="compact">PokeApi with Vue Js</v-app-bar-title>

        <v-spacer />
        <v-btn density="compact" icon @click="onChangeTheme()">
          <v-icon v-if="isDarkTheme">mdi-white-balance-sunny</v-icon>
          <v-icon v-else>mdi-moon-waxing-crescent</v-icon>
        </v-btn>
      </v-app-bar>
    <v-main>
      <router-view />
    </v-main>
  </v-app>
</template>

<script>
export default {
  name: "App",
  data() {
    return {
      isDarkTheme: true
    }
  },
  methods: {
    onChangeTheme() {
      this.isDarkTheme = !this.$vuetify.theme.isDark;
      this.$vuetify.theme.isDark = this.isDarkTheme;
    }
  }
};
</script>
